# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IDataSet

Packages that use IDataSet
Package
Description
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IDataSet in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IDataSet
Modifier and Type
Method
Description
`IDataSet`
SimpleElementFactory.`createDataSet(DataSetHandle handle)`

## Uses of IDataSet in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return IDataSet
Modifier and Type
Method
Description
`IDataSet`
ISimpleElementFactory.`createDataSet(DataSetHandle handle)`
Creates the IDataSet instance.
`IDataSet`
IReportDesign.`getDataSet(String name)`
method to get data set design by name